%define tarname	equinox-gtk-engine

%define libname %mklibname %{name}

%define gtkbinaryver %(pkg-config --variable=gtk_binary_version gtk+-2.0)

Summary:	Equinox engine for Gtk 2.x
Name:		gtk-equinox-engine
Version:	1.50
Release:	%mkrel 2
Source0:	%{tarname}.tar.gz
Source1:	equinox-themes.tar.gz
License:	GPLv2+
Group:		Graphical desktop/Other
Url:		http://www.gnome-look.org
Requires:	%{libname} = %{version}
BuildRequires:	gtk2-devel >= 2.12

%description
A heavily modified version of the beautiful Aurora engine.

%package -n %{libname}
Summary:    Library files for %{name}
Group:	    System/Libraries
Provides:   %{libname} = %{version}
Requires:   gtk+2.0

%description -n %{libname}
Library files for %{name}.

%prep
%setup -q -n equinox-1.50
(mkdir -p themes && %__tar zfx %SOURCE1 -C themes)

%build
%configure2_5x --enable-animation
%make

%install
%__rm -rf %{buildroot}
%makeinstall

install -d -m755 %{buildroot}%{_datadir}/themes
cp -ar themes/* %{buildroot}%{_datadir}/themes

# Fix bug 56215:
#sed -i 's/\(^.*odd_row_color.*\)/\#\1/' %{buildroot}%{_datadir}/themes/Aurora*/gtk-2.0/gtkrc

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README COPYING ChangeLog AUTHORS
%{_datadir}/themes/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/*.*


%changelog
* Wed May 11 2011 ahmad <ahmad> 1.50-2.mga1
+ Revision: 97184
- Unpack the themes tarball in %%prep
- Drop the buildroot declaration
- Simplify the custon gtkbinaryver macro, pkg-config and gtk2-devel are always
  present in the chroot when building
- imported package gtk-equinox-engine


* Sun May 01 2011 Lev Givon <lev@mandriva.org> 1.50-1mdv2011.0
+ Revision: 661355
- Update to 1.50.

* Wed Oct 06 2010 Lev Givon <lev@mandriva.org> 1.30.2-1mdv2011.0
+ Revision: 583877
- Update to 1.30.2.

* Tue Sep 07 2010 Lev Givon <lev@mandriva.org> 1.30-1mdv2011.0
+ Revision: 576669
- Update to 1.30.

* Sun Aug 01 2010 Lev Givon <lev@mandriva.org> 1.20-1mdv2011.0
+ Revision: 564886
- import gtk-equinox-engine


